Update LLM credentialspatch {protocol}://{base-url}/ai/api/v1/llm_credentials/{llm_credentials_id}Update LLM credentials.Path Paramsllm_credentials_idstringrequiredThe ID of the LLM Credentials to use.Body ParamsSchema for updating an llm credentials object. Note: The creds_type field cannot be changed after creation. To use a different credentials type, delete the existing credentials and create a new one. All fields are optional. Only provided fields will be updated. Set a field to null to clear its value.namestringnullDisplay name for this credentials.providerLLMProvider | nullThe LLM provider these credentials authenticate against.provider LLMProvider | nullapi_keystringnullAPI key for LLM providers.base_urlstringnullCustom base URL for OpenAI-compatible providers.aws_access_key_idstringnullAWS access key ID.aws_secret_access_keystringnullAWS secret access key.aws_session_tokenstringnullAWS session token.aws_regionstringnullAWS region for Bedrock.azure_endpointstringnullAzure OpenAI endpoint URL.api_versionstringnullAzure API version.azure_client_idstringnullAzure AD client ID.azure_client_secretstringnullAzure AD client secret.azure_token_urlstringnullAzure AD token URL.gcp_projectstringnullGoogle Cloud project ID.gcp_locationstringnullGoogle Cloud location.gcp_service_accountobject | nullGCP service account JSON credentials.Gcp Service Account object | nullResponses 200Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 404Resource not found. The detail field specifies which resource. 422Validation Error 500Internal server error during request processing.Updated 3 days ago Get LLM credentialsDelete LLM credentialsDid this page help you?YesNo